
Infrastructure - Task #7355

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Task # 7360 (Closed): Modify the MN.systeMetadataChanged Method

The mn.systemMetadataChanged should return immediately

2015-09-15 21:14 - Jing Tao

Status: Closed Start date: 2015-09-15

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Currently the mn.systemMetadataChanged will block the thread util the replica complete the update of the system metadata. It 

should put the task to a queue and return immediately.

History

#1 - 2015-09-15 21:14 - Jing Tao

- Target version set to CCI-2.0.0

- Assignee set to Jing Tao

#2 - 2015-09-17 00:08 - Jing Tao

- Parent task set to #7360

#3 - 2015-09-21 23:53 - Jing Tao

- % Done changed from 0 to 30

- Status changed from New to In Progress

In the v2.MNResourceHandler method, put the calling to a queue (executor).

#4 - 2015-09-25 00:41 - Jing Tao

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 30 to 100

Powered by TCPDF (www.tcpdf.org)

2024-04-10 1/1

http://www.tcpdf.org

